%define date    20201019
%global githash e08c74db

Summary:        Steve's SpanDSP library for telephony spans
Name:           spandsp
Version:        3.0.0
Release:        git20201019.3%{?dist}.inferit.1

License:        GPLv2
URL:            https://github.com/freeswitch/spandsp
# git archive --prefix=spandsp-e08c74db/ HEAD|xz> ../SOURCES/spandsp-e08c74db.tar.xz
Source0:        spandsp-%{githash}.tar.xz

BuildRequires:  audiofile-devel
BuildRequires:  fftw-devel
BuildRequires:  file
BuildRequires:  fltk-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  libtiff-devel

%description
spandsp is a library for DSP in telephony spans. It can perform many of the
common DSP functions, such as the generation and detection of DTMF and
supervisory tones.

%package devel
Summary:        Header files and libraries needed for development with SpanDSP
Requires:       %{name} = %{version}-%{release}

%description devel
This package includes the header files and libraries needed for developing
programs using SpanDSP.

%prep
%setup -q -n %{name}-%{githash}

%build
# to recognize aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS ChangeLog COPYING DueDiligence NEWS README
%{_libdir}/lib*.so.*

%files devel
%{_includedir}/spandsp
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri May 31 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 3.0.0-git20201019.3.inferit.1
- Clean up spec

* Thu May 30 2024 Sergey Cherevko <s.cherevko@msvsphere-os.ru> 3.0.0-0.git20201019.3.inferit
- Rebuilt for MSVSphere 9.4

* Mon Dec 12 2022 ns80 <ns80> 3.0.0-0.git20201019.3.mga9
+ Revision: 1921141
- rebuild for new libtiff

* Fri Apr 01 2022 umeabot <umeabot> 3.0.0-0.git20201019.2.mga9
+ Revision: 1837806
- Mageia 9 Mass Rebuild

* Wed Mar 10 2021 daviddavid <daviddavid> 3.0.0-0.git20201019.1.mga9
+ Revision: 1701004
- new version: 3.0.0 (latest git snapshot from 20201019)

* Mon Sep 14 2020 tv <tv> 0.0.6-pre20200914.19f867a6.1.mga8
+ Revision: 1626315
- update to new git snapshot in order to update broken freeswitch

* Fri Feb 14 2020 umeabot <umeabot> 0.0.6-pre20180108.3.mga8
+ Revision: 1517147
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.0.6-pre20180108.2.mga7
+ Revision: 1301126
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 kekepower <kekepower> 0.0.6-pre20180108.1.mga7
+ Revision: 1221698
- Update to 0.0.6-pre20180108

* Mon Feb 01 2016 umeabot <umeabot> 0.0.6-pre20130128.5.mga6
+ Revision: 930266
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.6-pre20130128.4.mga5
+ Revision: 742245
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.6-pre20130128.3.mga5
+ Revision: 689265
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.0.6-pre20130128.2.mga4
+ Revision: 532977
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 dlucio <dlucio> 0.0.6-pre20130128.1.mga4
+ Revision: 470550
- new svn checkout 20130128

* Fri Jan 18 2013 fwang <fwang> 0.0.6-pre21.1.mga3
+ Revision: 389384
- new pre 21

* Mon Jan 14 2013 umeabot <umeabot> 0.0.6-pre20.1.mga3
+ Revision: 382425
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 25 2012 dlucio <dlucio> 0.0.6-pre20.0.mga2
+ Revision: 226273
- imported package spandsp


* Thu Nov 03 2011 Alexander Khrukin <akhrukin@mandriva.org> 0.0.6-0.pre18mdv2012.0
+ Revision: 713253
- added new files removed old
- pkgconfig fix in spec and version bump

* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 0.0.5-0.pre4.2mdv2010.0
+ Revision: 434015
- rebuild

* Tue Jul 22 2008 Oden Eriksson <oeriksson@mandriva.com> 0.0.5-0.pre4.1mdv2009.0
+ Revision: 240865
- 0.0.5pre4

* Wed Jun 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.0.4-0.pre7.3mdv2009.0
+ Revision: 225610
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <blino@mandriva.org> 0.0.4-0.pre7.2mdv2008.1
+ Revision: 140850
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 04 2007 David Walluck <walluck@mandriva.org> 0.0.4-0.pre7.2mdv2008.0
+ Revision: 79130
- 0.0.4pre7

* Sat Jul 21 2007 Stefan van der Eijk <stefan@mandriva.org> 0.0.4-0.pre3.2mdv2008.0
+ Revision: 54337
- fix new dev stuff breakage

* Wed Jul 18 2007 David Walluck <walluck@mandriva.org> 0.0.4-0.pre3.1mdv2008.0
+ Revision: 53318
- 0.0.4pre3

